'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Button = require('./Button');

var _Button2 = _interopRequireDefault(_Button);

var _Dropdown = require('./Dropdown');

var _Dropdown2 = _interopRequireDefault(_Dropdown);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var ButtonGroup = function ButtonGroup(_ref) {
  var children = _ref.children,
      size = _ref.size,
      toolbar = _ref.toolbar;
  return toolbar ? _react2.default.createElement(
    'div',
    {
      className: 'btn-toolbar',
      role: 'toolbar'
    },
    children
  ) : _react2.default.createElement(
    'div',
    {
      className: 'btn-group',
      role: 'group'
    },
    [].concat(children).map(function (child, i) {

      if (child === undefined) {
        return null;
      }

      if (child.type === 'button') {

        if (child.props.dropdown) {
          return _react2.default.createElement(
            _Dropdown2.default,
            {
              key: i,
              title: child.props.title,
              style: {
                display: 'inline-block'
              }
            },
            child.props.children
          );
        }

        return _react2.default.createElement(
          _Button2.default,
          {
            key: i,
            size: size
          },
          child.props.children
        );
      }

      return child;
    })
  );
}; /**
    * Created by timur on 3/13/17.
    */

exports.default = ButtonGroup;